using System;
using System.Collections;
using System.Collections.Generic;
using Src;
using UnityEngine;
using UnityEngine.SceneManagement;

public class Goal : MonoBehaviour
{
    public GameObject player;

    private float timer = 4f;
    private ItemsManager manager;
    private TimeManager timeManager;
    [SerializeField] private int levelNumber;
    
    // Start is called before the first frame update
    void Start()
    {
        manager = FindObjectOfType<ItemsManager>();
        timeManager = FindObjectOfType<TimeManager>();
    }

    IEnumerator WaitForSceneLoad()
    {
        yield return new WaitForSeconds(3f);
        SceneManager.LoadScene(0);
    }
    // Update is called once per frame
    void Update()
    {
        
    }
    
    private void OnTriggerEnter(Collider other)
    {
        var itemCount = manager.GetItemCount();
        if (other.gameObject.CompareTag("Player") && itemCount <= 0)
        {
            var levelKey = "level_highscore_" + levelNumber;
            var currentTime = timeManager.GetCurrentTime();
            var previousTime = PlayerPrefs.GetFloat(levelKey);
            if (previousTime > currentTime)
            {
                PlayerPrefs.SetFloat(levelKey, currentTime);
                PlayerPrefs.Save();
            }
            StartCoroutine(WaitForSceneLoad());
        }
    }
}
