using System;
using System.Collections.Generic;
using UnityEngine;

namespace Src
{
    public class ItemsManager : MonoBehaviour
    {
        private int totalItemCount = 0;
        private List<CollectableItem> items = new();
        [SerializeField] private int level = 1;

        private void FixedUpdate()
        {
            if (totalItemCount < items.Count)
            {
                totalItemCount = items.Count;
            }
        }

        public void RegisterItem(CollectableItem collectableItem)
        {
            this.items.Add(collectableItem);
        }

        public void ItemCollected(CollectableItem collectableItem)
        {
            items.Remove(collectableItem);
        }


        public int GetItemCount()
        {
            return items.Count;
        }

        public int GetTotalitemCount()
        {
            return totalItemCount;
        }
    }
}